=begin
zoomZoom_dj v1.6
Copyright Feb 4, 2013
DukeJazz: by James Cochran

6 Simple Double zoom zoom tools API 
ZoomWindowSelect_dj, zoomZoomPushPull_dj, zoomZoomPolygon_dj, 
zoomZoomScale_dj, zoomZoomMove_dj and zoomZoomRotate_dj 
You can use your shortcut keys for more possibilities

History:
next time a Webdialog inputbox.HTML

Copyright Feb 4, 2013; zoomZoom_dj v1.6
-grouping to projectEditor_dj v1.6
=end
require 'sketchup.rb'
module DJ
module ZoomZoom

def initialize
return
end
def ZoomZoom.zoomWindowSelect_dj
;Sketchup.send_action("selectFreehandTool:")
Sketchup.send_action("viewZoomToSelection:")
Sketchup.send_action(10526)
return;end

def ZoomZoom.zoomPushPull_dj
Sketchup.send_action("selectPushPullTool:")
Sketchup.send_action("viewZoomToSelection:")
Sketchup.send_action(10526)
return;end

def ZoomZoom.zoomPolygon_dj
Sketchup.send_action(21095)
Sketchup.send_action("viewZoomToSelection:")
Sketchup.send_action(10526)
return;end

def ZoomZoom.zoomScale_dj 
Sketchup.send_action("selectScaleTool:")
Sketchup.send_action("viewZoomToSelection:")
Sketchup.send_action(10526)
return;end

def ZoomZoom.zoomMove_dj 
Sketchup.send_action("selectMoveTool:")
Sketchup.send_action("viewZoomToSelection:")
Sketchup.send_action(10526)
return;end

def ZoomZoom.zoomRotate_dj 
Sketchup.send_action("selectRotateTool:")
Sketchup.send_action("viewZoomToSelection:")
Sketchup.send_action(10526)
return;end

=begin
ZoomView_dj v1.6
Copyright 2012, Dec 2
DukeJazz: by James Cochran
Zoom + Tools + views + sytles + display boxes(API Sketchup.send_action tools) 
Simple One button Double zoom, style and view (API send_action tools)
Freely use, and abuse at your own risk. Fitness of usage is not warranty implied 

History:
Copyright 2012, July 23
-fix a 1-6 or 7 depth action. (good) nice

2012, June 28
-Turn into one button menu control for many more zoom and view features

2012, June 14
- add 6 feature to zoomWindowSelect_dj 
=end

require 'sketchup.rb'


def ZoomZoom.zoomView_dj
dj_zoom = "zoomWindowSelect_dj"
dj_view = "same"
dj_styles ="same"
dj_display = "none"
Sketchup.send_action("viewZoomToSelection:")


#inputbox
lis=["|zoomWindowSelect_dj|zoomSelect_dj|zoomFreehand_dj|zoomCircleTool_dj|zoomRectangleTool_dj|zoomLineTool_dj|zoomPushPull_dj|zoomPolygon_dj|zoomScale_dj|zoomMove_dj|zoomRotate_dj|zoomExtents_dj|zoomErase_dj"]
lis1=["same|viewPerspective|viewFront|viewBack|viewLeft|viewRight|viewTop|viewBottom|viewIso|viewUndo|setAxonometric   |cameraOrtho|zoomout_dj"]
lis2=["same|textures|transparency|wire|hidden lines|shading|shadows|monochrome|profiles|extension|jitter|showAxes"]
lis3=["none|fixNonPlanarFaces|non-planar check|display outliner|showRubyPanel|create face loop|components Window|getPhotoTexture|preferences|info Window|soften Edges Window|layer Window|accelerators window|page Window|fog box"]

#inputbox
prompts = ["Zoom","View","Styles","Display"]
values = [dj_zoom,dj_view,dj_styles,dj_display]
lists = [lis,lis1,lis2,lis3]
#inputbox
results = inputbox prompts, values, lists, "ZoomView_dj"
#Sketchup.send_action("selectScaleTool:");Sketchup.send_action(10526) if not results
if not results then Sketchup.send_action("viewUndo:");return;end 
dj_zoom,dj_view,dj_styles,dj_display = results
Sketchup.send_action(10526)
ans = case dj_display.to_s
when "fixNonPlanarFaces" then Sketchup.send_action("fixNonPlanarFaces:")
when "non-planar check" then Sketchup.send_action(21476)
when "display outliner" then Sketchup.send_action(21513)
when "showRubyPanel" then Sketchup.send_action("showRubyPanel:")
when "create face loop" then Sketchup.send_action(21056)
when "components Window" then Sketchup.send_action(21060)
when "getPhotoTexture" then Sketchup.send_action("getPhotoTexture:")
when "preferences" then Sketchup.send_action(21076)  
when "info Window" then Sketchup.send_action(21488)  
when "soften Edges Window" then Sketchup.send_action(21490) 
when "layer Window" then Sketchup.send_action(21354) 
when "accelerators window" then Sketchup.send_action(21477)
when "page Window" then Sketchup.send_action(21080)  
when "fog box" then Sketchup.send_action(21406)

end
ans = case dj_styles.to_s
when "transparency" then Sketchup.send_action(10513) 
when "shading" then Sketchup.send_action(10512)
when "wire" then Sketchup.send_action(10510) 
when "hidden lines" then Sketchup.send_action(10511)
when "shadows" then Sketchup.send_action(10602) 
when "profiles" then Sketchup.send_action(10603)
when "extension" then Sketchup.send_action(10604) 
when "jitter" then Sketchup.send_action(10605)
when "showAxes" then Sketchup.send_action("viewShowAxes:") 
when "textures" then Sketchup.send_action("renderTextures:")
when "monochrome" then Sketchup.send_action("renderMonochrome:")

end
ans = case dj_view.to_s
when "viewPerspective" then Sketchup.send_action("viewPerspective:") 
when "viewFront" then Sketchup.send_action("viewFront:")
when "viewBack" then Sketchup.send_action("viewBack:") 
when "viewLeft" then Sketchup.send_action("viewLeft:")
when "viewRight" then Sketchup.send_action("viewRight:") 
when "viewTop" then Sketchup.send_action("viewTop:")
when "viewBottom" then Sketchup.send_action("viewBottom:") 
when "viewIso" then Sketchup.send_action("viewIso")
when "viewUndo" then Sketchup.send_action("viewUndo:") 
when "setAxonometric   " then Sketchup.send_action(10507)
when "cameraOrtho" then Sketchup.send_action(10519) 
when "zoomout_dj" then Sketchup.send_action(10529)

end
ans = case dj_zoom.to_s
when "zoomWindowSelect_dj" then Sketchup.send_action("viewZoomToSelection:")
when "zoomSelect_dj" then Sketchup.send_action("selectSelectionTool:")
when "zoomFreehand_dj" then Sketchup.send_action("selectFreehandTool:")
when "zoomCircleTool_dj" then Sketchup.send_action("selectCircleTool:")
when "zoomRectangleTool_dj" then Sketchup.send_action("selectRectangleTool:")
when "zoomLineTool_dj" then Sketchup.send_action("selectLineTool:")
when "zoomPushPull_dj" then Sketchup.send_action("selectPushPullTool:")
when "zoomPolygon_dj" then Sketchup.send_action(21095)
when "zoomScale_dj" then Sketchup.send_action("selectScaleTool:")
when "zoomMove_dj" then Sketchup.send_action("selectMoveTool:")
when "zoomRotate_dj" then Sketchup.send_action("selectRotateTool:")
when "zoomExtents_dj" then Sketchup.send_action("viewZoomExtents:")
when "zoomErase_dj" then Sketchup.send_action("selectEraseTool:")

end
Sketchup.send_action(10526)
Sketchup.active_model.commit_operation
return;end

=begin
#m = context.add_submenu("ZoomView_dj")
def youSU_contextAa
UI.add_context_menu_handler do |context|
m.add_item("ZoomView_dj")  { zoomView_dj }
end  #do
end;# def
youSU_contextAa
=end


=begin
ZoomWindowSelect_dj.rb v1.6
Copyright 2012, Dec 2
DukeJazz: by James Cochran

Simple Double zoom zoom API
Zoom select then ZoomWindow_dj
=end
require 'sketchup.rb'

def ZoomZoom.zoomSelect_dj 

Sketchup.send_action("viewZoomToSelection:")
Sketchup.send_action(10526)

return;end

=begin
def youSU_contextAa
UI.add_context_menu_handler do |context|
m = context.add_submenu("ZoomWindowSelect")
m.add_item("ZoomWindowSelect_dj")  { zoomSelect_dj }
end  #do
end;# def
youSU_contextAa
=end

=begin
tips_dj.rb v1.6
Copyright 2012, Dec 2
DukeJazz: by James Cochran

Simple One button, repeat undo and redo tool. (API sent action tools)
Freely use, and abuse at your own risk. Fitness of usage is not warranty implied 

History:
July 4, 2012
-add set sketchup number of undo's

July 1, 2012
-release
=end

#require 'sketchup.rb'


def ZoomZoom.liszoomZoom_dj

dj_entity = []
dj_entity[0] = "List of features for zoomZoom_dj,".to_s


#inputbox
lis=[dj_entity[0],"|","zoomWindowSelect|zoomSelect_dj|zoomFreehand_dj|zoomCircleTool_dj|zoomRectangleTool_d|zoomLineTool_dj|zoomPushPull_dj|zoomPolygon_dj|zoomScale_dj|zoomMove_dj|zoomRotate_dj|zoomExtents_dj|zoomErase_dj|viewPerspective|viewFront|viewBack|viewLeft|viewRight|viewTop|viewBottom|viewIso|viewUndo|setAxonometric|cameraOrtho|zoomout_dj|textures|transparency|wire|hidden lines|shading|shadows|monochrome|profiles|extension|jitter|showAxes"]

#inputbox
prompts = ["My features"]
values = [dj_entity[0]]
lists = [lis.to_s]
#inputbox
results = inputbox prompts, values, lists, "features_dj v1.6"
dj_entity[0] = results
return
end

=begin

=end




#=begin
def ZoomZoom.context_dj
UI.add_context_menu_handler do |context|
m = context.add_submenu("zoomZoom_dj")
m.add_item("ZoomZoomSelect_dj") { ZoomZoom.zoomWindowSelect_dj }
m.add_item("ZoomView_dj")   { ZoomZoom.zoomView_dj }
m.add_item("ZoomZoomSelectPushPull_dj") { ZoomZoom.zoomPushPull_dj }
m.add_item("ZoomZoomSelectPolygon_dj") { ZoomZoom.zoomPolygon_dj }
m.add_item("ZoomZoomSelectScale_dj")  { ZoomZoom.zoomScale_dj  }
m.add_item("ZoomZoomSelectMove_dj")  { ZoomZoom.zoomMove_dj }
m.add_item("ZoomZoomSelectRotate_dj")  { ZoomZoom.zoomRotate_dj }
m.add_item("Features_dj")  { ZoomZoom.liszoomZoom_dj }
end  #do
return;end;# def

#=end
def ZoomZoom.menu_handler_dj
m = UI.menu("Plugins").add_submenu("Zoom_Zoom_dj")
m.add_item("ZoomZoomSelect_dj") { ZoomZoom.zoomWindowSelect_dj }
m.add_item("ZoomView_dj")   { ZoomZoom.zoomView_dj }
m.add_item("ZoomZoomSelectPushPull_dj") { ZoomZoom.zoomPushPull_dj }
m.add_item("ZoomZoomSelectPolygon_dj") { ZoomZoom.zoomPolygon_dj }
m.add_item("ZoomZoomSelectScale_dj")  { ZoomZoom.zoomScale_dj }
m.add_item("ZoomZoomSelectMove_dj")  { ZoomZoom.zoomMove_dj }
m.add_item("ZoomZoomSelectRotate_dj")  { ZoomZoom.zoomRotate_dj }
m.add_item("Features_dj") { ZoomZoom.liszoomZoom_dj }
return;end
end
if( not file_loaded? "zoomZoom_dj.rb" )
ZoomZoom.context_dj
ZoomZoom.menu_handler_dj
m= UI::Toolbar.new("zoomZoom_dj")

#_Zoom select______________________________________________
cmd = UI::Command.new("ZoomWindowSelect_dj")   { ZoomZoom.zoomSelect_dj } 
cmd.small_icon = File.dirname(__FILE__) + "/ZoomWindowSelect_dj.png";cmd.large_icon = File.dirname(__FILE__) + "/dj_ZoomWindowSelect/ZoomWindowSelect_dj.png"
cmd.tooltip ="Zoom Window Select";cmd.status_bar_text = " Zoom select and Zoom Window"
m.add_item(cmd)
#_ZoomPushPull_dj______________________________________________
cmd = UI::Command.new("ZoomView_dj")   { ZoomZoom.zoomView_dj }
cmd.small_icon = cmd.large_icon = File.dirname(__FILE__) + "/ZoomView_dj.png" 
cmd.tooltip ="ZoomView_dj";cmd.status_bar_text = " Zoom select and Zoom Window...View and zoom Tools"
m.add_item(cmd)
#_ZoomFreehanddj______________________________________________
cmd = UI::Command.new("ZoomWindowFreehand_dj")   { ZoomZoom.zoomWindowSelect_dj } 
cmd.small_icon = cmd.large_icon = File.dirname(__FILE__) + "/Freehand.png"
cmd.tooltip ="ZoomWindowSelectFreehand_dj";cmd.status_bar_text = " Zoom select and Zoom Window...Freehand Tool"
m.add_item(cmd)
#_ZoomPushPull_dj______________________________________________
cmd = UI::Command.new("ZoomWindowSelectPushPull_dj")   { ZoomZoom.zoomPushPull_dj } 
cmd.small_icon = cmd.large_icon = File.dirname(__FILE__) + "/pull.png"
cmd.tooltip ="ZoomWindowSelectPushPull_dj";cmd.status_bar_text = " Zoom select and Zoom Window...PushPull Tool"
m.add_item(cmd)
#_Zoom Polygon_21245_____________________________________________
cmd = UI::Command.new("ZoomWindowSelectPolygon_dj")   { ZoomZoom.zoomPolygon_dj } 
cmd.small_icon = cmd.large_icon = File.dirname(__FILE__) + "/polygon.png"
cmd.tooltip ="ZoomWindowSelectPolygon_dj";cmd.status_bar_text = " Zoom select and Zoom Window...PolygonTool"
m.add_item(cmd)
#_Zoom Scale______________________________________________
cmd = UI::Command.new("ZoomWindowSelectScale_dj")   { ZoomZoom.zoomScale_dj } 
cmd.small_icon = cmd.large_icon = File.dirname(__FILE__) + "/scale.png"
cmd.tooltip ="ZoomWindowSelectScale_dj";cmd.status_bar_text = " Zoom select and Zoom Window...ScaleTool "
m.add_item(cmd)
#_Zoom Move______________________________________________
cmd = UI::Command.new("ZoomWindowSelectMove_dj")   { ZoomZoom.zoomMove_dj } 
cmd.small_icon = cmd.large_icon = File.dirname(__FILE__) + "/move.png"
cmd.tooltip ="ZoomWindowSelectMove_dj";cmd.status_bar_text = " Zoom select and Zoom Window...MoveTool: "
m.add_item(cmd)
#_Zoom Rotate______________________________________________
cmd = UI::Command.new("ZoomWindowSelectRotate_dj")   { ZoomZoom.zoomRotate_dj } 
cmd.small_icon = cmd.large_icon = File.dirname(__FILE__) + "/rotate.png"
cmd.tooltip ="ZoomWindowSelectRotate_dj";cmd.status_bar_text = " Zoom select and Zoom Window...RotateTool"
m.add_item(cmd)
#_repeatTool_dj______________________________________________
cmd = UI::Command.new("features_dj") { ZoomZoom.liszoomZoom_dj }
cmd.small_icon = File.dirname(__FILE__) + "/tips.png";cmd.large_icon = File.dirname(__FILE__) + "/tips.png"
cmd.tooltip = "features_dj";cmd.status_bar_text = "features"
m.add_item(cmd)
m.show

m.show
#--------------------------------------------------------------------------
end


#--------------------------------------------------------------------------
file_loaded("zoomZoom_dj.rb")
end